<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hostel_rooms', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->integer('hostel_id')->unsigned();
            $table->integer('room_type_id')->unsigned();
            $table->integer('bed')->default('1');
            $table->double('fee',10,2)->nullable();
            $table->text('description')->nullable();
            $table->boolean('status')->default('1');
            $table->foreign('hostel_id')
                  ->references('id')->on('hostels')
                  ->onDelete('cascade');
            $table->foreign('room_type_id')
                  ->references('id')->on('hostel_room_types')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hostel_rooms');
    }
};
